Unit tde02r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FUDE02R_p, DE02R_p;

function tde02r: String;

implementation

function tde02r: String;
var
M,JSTART,IH,IERR :Integer;
X,HMIN,EPS,P,H,XP :Real;
BUL :Boolean;
A :Array [0..3] of Real;
E1 :Array [0..3] of Real;
E2 :Array [0..3] of Real;
E3 :Array [0..3] of Real;
E4 :Array [0..3] of Real;
R :Array [0..1] of Real;
R0 :Array [0..1] of Real;
R1 :Array [0..1] of Real;
R2 :Array [0..1] of Real;
R3 :Array [0..1] of Real;
YD :Array [0..1] of Real;
YP :Array [0..1] of Real;
YX :Array [0..1] of Real;
label
_100,_101,_102,_103,_104,_105,_106;
begin
Result := '';  {   }
M := 2;
X := 0.0;
YX[0] := 5.E1;
YX[1] := 5.E1;
HMIN := 1.E-10;
EPS := 1.E-8;
P := 1.E2;
JSTART := 0;
H := 0.01;
A[0] := -5.E2;
A[2] := 1.0;
A[1] := -1.E3;
A[3] := 1.0;
IH := 0;
_100:
IH := IH + 1;
DE02R (FUDE02R,M,JSTART,A,HMIN,EPS,P,YX,X,H,BUL,XP,YP,E1,E2,
     E3,E4,R,R0,R1,R2,R3,YD,IERR);
Result := Result + Format('     %20.16f      %20.16f      %20.16f ',[
 X,YX[0],YX[1]]) + #$0D#$0A;
Result := Result + Format('%s',['-']) + #$0D#$0A;
Result := Result + Format('     %20.16f      %20.16f      %20.16f ',[
 H,R1[0],R1[1]]) + #$0D#$0A;
Result := Result + Format('%s',['**']) + #$0D#$0A;
case IH of
 1: goto _101;
 2: goto _102;
 3: goto _103;
 4: goto _104;
 5: goto _105;
 6: goto _106;
end;
_101:
H := 1.0;
goto _100;
_102:
EPS := 0.1;
goto _100;
_103:
JSTART := -1;
EPS := 1.E-10;
goto _100;
_104:
EPS := 1.E-4;
H := -1.E-5;
JSTART := -1;
goto _100;
_105:
H := -1.E-4;
EPS := 1.E-8;
goto _100;
_106:
UtRes('tde02r',Result);  {     tde02r.res }
exit;
end;

end.
